﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace TabIndexXamDataGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

   

        private void xdg_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Tab)
            {
                e.Handled = true;
                Cell c = xdg.ActiveCell;
                if (c.Field.Name == "name")
                { 
                    c.Record.Cells["email"].IsActive = true;
                    CellValuePresenter.FromCell(c.Record.Cells["email"]).StartEditMode();
                }
                if (c.Field.Name == "department")
                    if (c.Field.Name == "name")
                    {
                        c.Record.Cells["email"].IsActive = true;
                        CellValuePresenter.FromCell(c.Record.Cells["email"]).StartEditMode();
                    }
                if (c.Field.Name == "salary")
                    if (c.Field.Name == "name")
                    {
                        c.Record.Cells["email"].IsActive = true;
                        CellValuePresenter.FromCell(c.Record.Cells["email"]).StartEditMode();
                    }
                if (c.Field.Name == "email")
                {
                    int i = xdg.Records.IndexOf(c.Record);
                    (xdg.Records[++i] as DataRecord).Cells["email"].IsActive = true;
                    CellValuePresenter.FromCell((xdg.Records[i] as DataRecord).Cells["email"]).StartEditMode();
                }
                
            }

        }


     
    }
}
